Skip to main content
GET
/
api
/
v1
/
alert-notifications
List Alert Notifications Route
curl --request GET \
  --url https://api.example.com/api/v1/alert-notifications
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "proxy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "body": "<string>",
      "read": true,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Query Parameters

unread_only
boolean
default:false
limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
AlertNotificationRead · object[]
required
total
integer
required
limit
integer
required
offset
integer
required